> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/api-documentation/quickpay/endpoints/deposit-creation-endpoint.md).

# Deposit creation endpoint

The QuickPay solution uses the same integration of our [Deposits API](/api-documentation/deposits-api.md) endpoints with the difference that you don't need to send us most of the **`payer[]`** object (the customer details) on the [Deposit Creation Endpoint](/api-documentation/deposits-api/endpoints/deposit-creation-endpoint.md#deposit-creation) API since this information is not required.<br>

{% hint style="info" %}
Note: For MEXICO SPEI payments, the payer object needs to be included with only an "id", which is NOT the document of the customer, it is the unique reference for the payer within the merchant's system.\
\
payer\[] object is not mandatory for PIX Brasil.&#x20;
{% endhint %}

Hence, requests must not contain any payer info. Please take a look at the following example request and follow the details on [Deposit Creation Endpoint](/api-documentation/deposits-api/endpoints/deposit-creation-endpoint.md) for further details about the integration.

### OneShot Request example

{% tabs %}
{% tab title="Example Brasil" %}

```javascript
{
    "invoice_id" : "1000000001",
    "amount": "1000",
    "country": "BR",
    "currency": "BRL"
    "payment_method": "IX",
    "description": "test description",
    "client_ip": "123.123.123.123",
    "device_id": "00000000-00000000-01234567-89ABCDEF",
    "notification_url": "https://www.d24.com/d24/notify",
    "test": false,
    "mobile": true,
    "language": "pt"
}

```

{% endtab %}

{% tab title="Example Mexico" %}

<pre class="language-json"><code class="lang-json">{
    "invoice_id" : "1000000001",
<strong>    "payer": {
</strong>    "id": 74662347
  },
    "amount": "1000",
    "country": "MX",
    "currency": "MXN"
    "payment_method": "SE",
    "description": "test description",
    "client_ip": "123.123.123.123",
    "device_id": "00000000-00000000-01234567-89ABCDEF",
    "notification_url": "https://www.d24.com/d24/notify",
    "test": false,
    "mobile": true,
    "language": "es"
}
</code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pandablue.com/api-documentation/quickpay/endpoints/deposit-creation-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
